open Token_parser
open Compiler_05 (* select the compiler 01,02,03,04,05 *)
  
(* I. EXAMPLES OF PASCAL-LIKE PROGRAMS *)

let prog =" 
  x := 0 ;
  b := a + 1 ;
  y := x + a ;
  z := b/x ;
  y := 5 ;
  return (y + x)" 
;;

let prog1 = "
 v:= u + u ;
 y:= x + 1 ;
 z:= y / (x + u + 1) ;
 return (x+y+z+u)" 
;;

let prog2 = "
  x:= 0 ;" ^ prog1 
;; 

let prog3 ="
 u:= 1 ;
 v:= u + u ;
 y:= x + 1 ;
 z:= y / (u + v) ;
 t:= y+z ;
 x:= 5 ;
 return (x+y+z)" 
;;


(* II. TEST *)
    
test_tokenize prog ;;
pascal_to_ocaml prog ;;
    
test_tokenize prog1 ;;
pascal_to_ocaml prog1 ;;
  
test_tokenize prog2 ;;
pascal_to_ocaml prog2 ;;

test_tokenize prog3 ;;
pascal_to_ocaml prog3 ;;

    
